Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider
Class AbstractOriginatingFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.provider.AbstractFileProvider
                  org.apache.commons.vfs.provider.AbstractOriginatingFileProvider

All Implemented Interfaces:
  FileProvider, VfsComponent

Direct Known Subclasses:
  DefaultLocalFileProvider, FtpFileProvider, HttpFileProvider, RamFileProvider, SftpFileProvider

public abstract class AbstractOriginatingFileProvider
extends AbstractFileProvider

A `FileProvider` that handles physical files, such as the files in a local fs, or on an FTP server. An originating file system cannot be layered on top of another file system.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`AbstractOriginatingFileProvider()`

Method Summary
`protected abstract FileSystem` | `doCreateFileSystem(FileName rootName, FileSystemOptions fileSystemOptions)` Creates a `FileSystem`.
`protected FileObject` | `findFile(FileName name, FileSystemOptions fileSystemOptions)` Locates a file from its parsed URI.
`FileObject` | `findFile(FileObject baseFile, String uri, FileSystemOptions fileSystemOptions)` Locates a file object, by absolute URI.

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileProvider
`addFileSystem, close, closeFileSystem, createFileSystem, findFileSystem, freeUnusedResources, getConfigBuilder, getFileNameParser, parseUri, setFileNameParser`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.provider.FileProvider
`getCapabilities`

Constructor Detail

### AbstractOriginatingFileProvider

    public AbstractOriginatingFileProvider()

Method Detail

### findFile

    public FileObject findFile(FileObject baseFile,
                               String uri,
                               FileSystemOptions fileSystemOptions)
                        throws FileSystemException

  Locates a file object, by absolute URI.

  Parameters:
    `uri` -
    `baseFile` - The base file to use for resolving the individual parts of a compound URI.
    `fileSystemOptions` -
  Throws:
    `FileSystemException`

### findFile

    protected FileObject findFile(FileName name,
                                  FileSystemOptions fileSystemOptions)
                           throws FileSystemException

  Locates a file from its parsed URI.

  Throws:
    `FileSystemException`

### doCreateFileSystem

    protected abstract FileSystem doCreateFileSystem(FileName rootName,
                                                     FileSystemOptions fileSystemOptions)
                                              throws FileSystemException

  Creates a `FileSystem`. If the returned FileSystem implements `VfsComponent`, it will be initialised.

  Parameters:
    `rootName` - The name of the root file of the file system to create.
  Throws:
    `FileSystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.